typedef union {
  double fnum;          /* double number */
  int inum;             /* integer number */
  int token;            /* token of command */
  int sep;              /* number of newlines */
  char *string;         /* quoted string */
  char *symbol;         /* general symbol */
  char *digits;         /* string of digits */
  char *docu;		/* embedded documentation */
} YYSTYPE;
#define	tSEP	258
#define	tFNUM	259
#define	tSYMBOL	260
#define	tSTRSYM	261
#define	tDOCU	262
#define	tDIGITS	263
#define	tSTRING	264
#define	tFOR	265
#define	tTO	266
#define	tSTEP	267
#define	tNEXT	268
#define	tWHILE	269
#define	tWEND	270
#define	tREPEAT	271
#define	tUNTIL	272
#define	tIMPORT	273
#define	tGOTO	274
#define	tGOSUB	275
#define	tLABEL	276
#define	tON	277
#define	tSUB	278
#define	tENDSUB	279
#define	tLOCAL	280
#define	tSTATIC	281
#define	tEXPORT	282
#define	tERROR	283
#define	tEXECUTE	284
#define	tEXECUTE2	285
#define	tCOMPILE	286
#define	tRUNTIME_CREATED_SUB	287
#define	tINTERRUPT	288
#define	tBREAK	289
#define	tCONTINUE	290
#define	tSWITCH	291
#define	tSEND	292
#define	tCASE	293
#define	tDEFAULT	294
#define	tLOOP	295
#define	tDO	296
#define	tEOPROG	297
#define	tIF	298
#define	tTHEN	299
#define	tELSE	300
#define	tELSIF	301
#define	tENDIF	302
#define	tUSING	303
#define	tPRINT	304
#define	tINPUT	305
#define	tLINE	306
#define	tRETURN	307
#define	tDIM	308
#define	tEND	309
#define	tEXIT	310
#define	tAT	311
#define	tSCREEN	312
#define	tREVERSE	313
#define	tCOLOUR	314
#define	tAND	315
#define	tOR	316
#define	tNOT	317
#define	tEOR	318
#define	tNEQ	319
#define	tLEQ	320
#define	tGEQ	321
#define	tLTN	322
#define	tGTN	323
#define	tEQU	324
#define	tPOW	325
#define	tREAD	326
#define	tDATA	327
#define	tRESTORE	328
#define	tOPEN	329
#define	tCLOSE	330
#define	tSEEK	331
#define	tTELL	332
#define	tAS	333
#define	tREADING	334
#define	tWRITING	335
#define	tORIGIN	336
#define	tWINDOW	337
#define	tDOT	338
#define	tCIRCLE	339
#define	tTEXT	340
#define	tCLEAR	341
#define	tFILL	342
#define	tPRINTER	343
#define	tWAIT	344
#define	tBELL	345
#define	tLET	346
#define	tARDIM	347
#define	tARSIZE	348
#define	tRECT	349
#define	tGETBIT	350
#define	tPUTBIT	351
#define	tGETCHAR	352
#define	tPUTCHAR	353
#define	tNEW	354
#define	tCURVE	355
#define	tSIN	356
#define	tASIN	357
#define	tCOS	358
#define	tACOS	359
#define	tTAN	360
#define	tATAN	361
#define	tEXP	362
#define	tLOG	363
#define	tSQRT	364
#define	tSQR	365
#define	tMYEOF	366
#define	tABS	367
#define	tSIG	368
#define	tINT	369
#define	tFRAC	370
#define	tMOD	371
#define	tRAN	372
#define	tLEN	373
#define	tVAL	374
#define	tLEFT	375
#define	tRIGHT	376
#define	tMID	377
#define	tMIN	378
#define	tMAX	379
#define	tSTR	380
#define	tINKEY	381
#define	tCHR	382
#define	tASC	383
#define	tHEX	384
#define	tDEC	385
#define	tBIN	386
#define	tUPPER	387
#define	tLOWER	388
#define	tMOUSEX	389
#define	tMOUSEY	390
#define	tMOUSEB	391
#define	tMOUSEMOD	392
#define	tTRIM	393
#define	tLTRIM	394
#define	tRTRIM	395
#define	tINSTR	396
#define	tRINSTR	397
#define	tSYSTEM	398
#define	tSYSTEM2	399
#define	tPEEK	400
#define	tPEEK2	401
#define	tPOKE	402
#define	tDATE	403
#define	tTIME	404
#define	tTOKEN	405
#define	tTOKENALT	406
#define	tSPLIT	407
#define	tSPLITALT	408
#define	tGLOB	409
#define	UMINUS	410


extern YYSTYPE yylval;
